"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Transformer = void 0;
const meta_storage_1 = require("../meta-storage/meta-storage");
function Transformer(transformer, options) {
    return function (object, propertyName) {
        meta_storage_1.MetaStorage.instance().addTransformerMetadata({
            target: object.constructor,
            propertyName: propertyName,
            transformer,
            options: options !== null && options !== void 0 ? options : {},
        });
    };
}
exports.Transformer = Transformer;
